#
# spec file for package gap-qaos
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gap-qaos
Version:        1.5
Release:        bp153.1.12
Summary:        GAP: Interfacing the QaoS database
License:        GPL-2.0+
Group:          Productivity/Scientific/Math
URL:            https://gap-packages.github.io/qaos

Source:         https://www.gap-system.org/pub/gap/gap4/tar.bz2/packages/qaos-%version.tar.bz2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gap-rpm-devel
Requires:       gap-core >= 4.8
Requires:       curl

%description
The QaoS package provides gateway functions to access the QaoS
databases of algebraic objects in Berlin. QaoS is primarily intended
to query for transitive groups or algebraic number fields and turn
retrieved results into GAP objects for further computing.

%prep
%setup -qn qaos-%version

%build

%install
%gappkg_simple_install

%files -f %name.files
%defattr(-,root,root)

%changelog
* Fri Sep  8 2017 jengelh@inai.de
- Update to new upstream release 1.5
  * No changelog found
* Sat Apr 29 2017 jengelh@inai.de
- Update to new upstream release 1.4
  * No changelog found
* Wed Jun  8 2016 jengelh@inai.de
- Initial package (version 1.2) for build.opensuse.org
